package MyCat::Controller::Root;

use Moose;
BEGIN { extends 'Catalyst::Controller' }

__PACKAGE__->config(
    namespace => '',
);

sub index :Path :Args(0) {}

sub default :Path {
    my ($self, $c) = @_;
    $c->res->body('Not Found');
    $c->res->status(404);
}

sub end :Private {
    my ($self, $c) = @_;
    $c->res->body('Found') unless $c->res->has_body;
}

1;
